#
# Conditional build:
%bcond_with	static_libs	# don't build static libraries

%define		ver	%(echo %{version} | tr . _)
%define		basever	%(echo %{version} | cut -d. -f1)
Summary:	International Components for Unicode
Summary(pl.UTF-8):	Międzynarodowe komponenty dla unikodu
Name:		icu67
Version:	67.1
Release:	4
License:	MIT-like
Group:		Libraries
Source0:	https://github.com/unicode-org/icu/releases/download/release-67-1/icu4c-%{ver}-src.tgz
# Source0-md5:	c4d62b497cbd89ab2a9ca6b543e57b30
Patch0:		icu-cxx-pre11.patch
Patch1:		icudata-stdlibs.patch
URL:		http://www.icu-project.org/
BuildRequires:	autoconf >= 2.69
BuildRequires:	libstdc++-devel
Requires:	libicu67 = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ICU is a set of C and C++ libraries that provides robust and
full-featured Unicode and locale support. The library provides
calendar support, conversions for many character sets, language
sensitive collation, date and time formatting, support for many
locales, message catalogs and resources, message formatting,
normalization, number and currency formatting, time zones support,
transliteration, word, line and sentence breaking, etc.

This package contains the Unicode character database and derived
properties, along with converters and time zones data.

%description -l pl.UTF-8
ICU jest grupą bibliotek C i C++, które dostarczają kompletną i pełną
obsługę Unikodu i lokalizacji. Biblioteka dostarcza obsługę
kalendarza, konwersje dla wielu zestawów znaków, sortowanie zależne od
języka, formatowanie daty i czasu, wsparcie dla wielu lokalizacji,
katalogów komunikatów i zasobów, formatowanie komunikatów,
normalizację, formatowanie liczb i walut, obsługę stref czasowych,
transliterację, łamanie słów, linii i zdań itp.

Ten pakiet zawiera bazę znaków unikodowych i pochodne własności wraz z
konwerterami i danymi stref czasowych.

%package -n libicu67
Summary:	International Components for Unicode (libraries)
Summary(pl.UTF-8):	Międzynarodowe Komponenty dla Unikodu (biblioteki)
Group:		Libraries
Provides:	libicu = %{version}
Obsoletes:	libicu30

%description -n libicu67
ICU is a set of C and C++ libraries that provides robust and
full-featured Unicode support. This package contains the runtime
libraries for ICU. It does not contain any of the data files needed at
runtime and present in the `icu' package.

%description -n libicu67 -l pl.UTF-8
ICU jest grupą bibliotek C i C++, które dostarczają kompletną i pełną
obsługę Unikodu i lokalizacji. Ten pakiet zawiera biblioteki
uruchomieniowe ICU. Nie zawiera żadnych plików z danymi potrzebnymi w
czasie działania i obecnymi w pakietach "icu".

%package -n libicu67-devel
Summary:	International Components for Unicode (development files)
Summary(pl.UTF-8):	Międzynarodowe komponenty dla Unikodu (pliki dla programistów)
Group:		Development/Libraries
Requires:	libicu67 = %{version}-%{release}

%description -n libicu67-devel
ICU is a set of C and C++ libraries that provides robust and
full-featured Unicode support. This package contains the development
files for ICU.

%description -n libicu67-devel -l pl.UTF-8
ICU jest grupą bibliotek C i C++, które dostarczają kompletną i pełną
obsługę Unikodu i lokalizacji. Ten pakiet zawiera pliki
programistyczne ICU.

%package -n libicu67-static
Summary:	International Components for Unicode (static libraries)
Summary(pl.UTF-8):	Międzynarodowe komponenty dla Unikodu (biblioteki statyczne)
Group:		Development/Libraries
Requires:	libicu67-devel = %{version}-%{release}

%description -n libicu67-static
ICU is a set of C and C++ libraries that provides robust and
full-featured Unicode support. This package contains the static 
libraries for ICU.

%description -n libicu67-static -l pl.UTF-8
ICU jest grupą bibliotek C i C++, które dostarczają kompletną i pełną
obsługę Unikodu i lokalizacji. Ten pakiet zawiera statyczne
biblioteki programistyczne ICU.

%prep
%setup -q -n icu
%patch0 -p1
%patch1 -p1

%build
cd source
%{__autoconf}
%configure \
	--sbindir=%{_bindir} \
	--with-data-packaging=library \
	%{?with_static_libs:--enable-static} \
	--disable-samples

%{__make} \
	VERBOSE=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C source install \
	DESTDIR=$RPM_BUILD_ROOT

for f in icu-i18n icu-io icu-uc ; do
sed -i \
	-e 's/\$(THREADSCXXFLAGS)//' \
	-e 's/\$(THREADSCFLAGS)//' \
	-e 's/\$(THREADSCPPFLAGS)/-D_REENTRANT/' $RPM_BUILD_ROOT%{_pkgconfigdir}/${f}.pc
done

# help rpm to generate deps
chmod +x $RPM_BUILD_ROOT%{_libdir}/lib*.so.*.*

# rpm is too stupid sometimes and fails on symlinks to symlinked resources
# (reporting unresolved dependency at install time)
for f in Makefile.inc pkgdata.inc ; do
	ln -sf %{version}/${f} $RPM_BUILD_ROOT%{_libdir}/icu/${f}
done

%{__rm} $RPM_BUILD_ROOT%{_datadir}/icu/%{version}/LICENSE

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n libicu67 -p /sbin/ldconfig
%postun	-n libicu67 -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc license.html readme.html
%attr(755,root,root) %{_bindir}/derb
%attr(755,root,root) %{_bindir}/escapesrc
%attr(755,root,root) %{_bindir}/gen*
%attr(755,root,root) %{_bindir}/icuinfo
%attr(755,root,root) %{_bindir}/icupkg
%attr(755,root,root) %{_bindir}/makeconv
%attr(755,root,root) %{_bindir}/pkgdata
%attr(755,root,root) %{_bindir}/uconv
%{_mandir}/man1/derb.1*
%{_mandir}/man1/gen*.1*
%{_mandir}/man1/makeconv.1*
%{_mandir}/man1/pkgdata.1*
%{_mandir}/man1/uconv.1*
%{_mandir}/man8/gen*.8*
%{_mandir}/man8/icupkg.8*

%files -n libicu67
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libicu*.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libicu*.so.%{basever}

%files -n libicu67-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/icu-config
%attr(755,root,root) %{_libdir}/libicu*.so
%{_pkgconfigdir}/icu-i18n.pc
%{_pkgconfigdir}/icu-io.pc
%{_pkgconfigdir}/icu-uc.pc
%{_includedir}/unicode
%dir %{_libdir}/icu
%{_libdir}/icu/*.inc
%{_libdir}/icu/current
%dir %{_libdir}/icu/%{version}
%{_libdir}/icu/%{version}/*.inc
%dir %{_datadir}/icu
%dir %{_datadir}/icu/%{version}
%{_datadir}/icu/%{version}/config
%attr(755,root,root) %{_datadir}/icu/%{version}/install-sh
%attr(755,root,root) %{_datadir}/icu/%{version}/mkinstalldirs
%{_mandir}/man1/icu-config.1*

%if %{with static_libs}
%files -n libicu67-static
%defattr(644,root,root,755)
%{_libdir}/libicu*.a
%endif
%changelog
* Sat Aug 28 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/icu.git;a=log;h=icu-67

* Sat Aug 28 2021 Jan Rękorajski <baggins@pld-linux.org> e164b76
- provide versioned libicu, rel 4

* Sat Aug 28 2021 Jan Rękorajski <baggins@pld-linux.org> 7e85405
- Release 3 (by relup.sh)

* Sat Aug 28 2021 Jan Rękorajski <baggins@pld-linux.org> d20a940
- update rediffed patch

* Sat Aug 28 2021 Jan Rękorajski <baggins@pld-linux.org> 2cf0586
- rediff patch and fix packaging, rel 2

* Sat Aug 28 2021 Jan Rękorajski <baggins@pld-linux.org> 443ecab
- fix patch name

* Sat Aug 28 2021 Jan Rękorajski <baggins@pld-linux.org> 2cee6d2
- build icu67 packages, qt4 does not build correctly with gcc 11, so let's fulfill the icu dependency with this

* Thu Nov 19 2020 Jan Palus <atler@pld-linux.org> 5589e07
- %{_libdir}/icu/current is a symbolic link, not directory

* Thu Nov 19 2020 Jan Palus <atler@pld-linux.org> 3306657
- libicudata patch from debian

* Tue Jun 30 2020 Jan Palus <atler@pld-linux.org> 227b224
- up to 67.1

* Sun Oct 06 2019 Adam Gołębiowski <adamg@pld-linux.org> d4cc09c
- updated to 65.1

* Thu Apr 18 2019 Adam Gołębiowski <adamg@pld-linux.org> 1961b8a
- updated to 64.2

* Sat Mar 30 2019 Jakub Bogusz <qboosh@pld-linux.org> 1e997c1
- updated to 64.1 (new soname as usual)

* Sun Dec 09 2018 Jakub Bogusz <qboosh@pld-linux.org> 735cf79
- updated to 63.1 (new soname)

* Thu Aug 23 2018 Adam Osuchowski <adwol@pld-linux.org> 9c80e86
- up to 62.1 (new soname)

* Tue Apr 25 2017 Jakub Bogusz <qboosh@pld-linux.org> 0e2868a
- added cxx-pre11 patch (allow using C++ API in GCC c++98/c++03 mode)
- release 2

* Sat Apr 22 2017 Jakub Bogusz <qboosh@pld-linux.org> 5eb75bd
- updated to 59.1 (note: new soname)

* Mon Mar 27 2017 Marcin Banasiak <marcin.banasiak@gmail.com> e52c2e3
- Backport fix for upstream bug #12827 causing new gnome-shell to crash. Release 2

* Thu Mar 09 2017 Adam Osuchowski <adwol@pld-linux.org> f95fea9
- up to 58.2 (new soname)

* Fri May 13 2016 Jakub Bogusz <qboosh@pld-linux.org> 4271d82
- updated to 57.1 (new soname as usual...)
- removed obsolete flagparser patch

* Sun Nov 15 2015 Jakub Bogusz <qboosh@pld-linux.org> 47c2d3b
- added flagparser patch (fixes pkgdata program operation with longer flags in icupkg.inc)
- release 2

